Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class ExtSSTRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.ExtSSTRecord

    public final class ExtSSTRecord

extends StandardRecord

Title: Extended Static String Table (0x00FF)

Description: This record is used for a quick lookup into the SST record. This record breaks the SST table into a set of buckets. The offsets to these buckets within the SST record are kept as well as the position relative to the start of the SST record. REFERENCE: PG 313 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at apache dot org)

Field Summary
`static int` | `DEFAULT_BUCKET_SIZE`
`static int` | `MAX_BUCKETS`
`static short` | `sid`

Constructor Summary
`ExtSSTRecord()`
`ExtSSTRecord(RecordInputStream in)`

Method Summary
`protected int` | `getDataSize()`
`static int` | `getNumberOfInfoRecsForStrings(int numStrings)`
`static int` | `getRecordSizeForStrings(int numStrings)` Given a number of strings (in the sst), returns the size of the extsst record
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setBucketOffsets(int[] bucketAbsoluteOffsets, int[] bucketRelativeOffsets)`
`void` | `setNumStringsPerBucket(short numStrings)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### DEFAULT_BUCKET_SIZE

    public static final int DEFAULT_BUCKET_SIZE

See Also:
  Constant Field Values

### MAX_BUCKETS

    public static final int MAX_BUCKETS

See Also:
  Constant Field Values

Constructor Detail

### ExtSSTRecord

    public ExtSSTRecord()

### ExtSSTRecord

    public ExtSSTRecord(RecordInputStream in)

Method Detail

### setNumStringsPerBucket

    public void setNumStringsPerBucket(short numStrings)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getNumberOfInfoRecsForStrings

    public static final int getNumberOfInfoRecsForStrings(int numStrings)

### getRecordSizeForStrings

    public static final int getRecordSizeForStrings(int numStrings)

  Given a number of strings (in the sst), returns the size of the extsst record

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### setBucketOffsets

    public void setBucketOffsets(int[] bucketAbsoluteOffsets,
                                 int[] bucketRelativeOffsets)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.